shm_detach
shm_put_var
Semaphore Functions
PHP Manual

# shm_get_var

(PHP 4, PHP 5)

shm_get_var — Returns a variable from shared memory

### Description

mixed shm_get_var ( int `$shm_identifier` , int `$variable_key` )

shm_get_var() returns the variable with a given `variable_key` , in the given shared memory segment. The variable is still present in the shared memory.

### Parameters

`shm_identifier`

  Shared memory segment, obtained from shm_attach().

`variable_key`

  The variable key.

### Return Values

Returns the variable with the given key.

shm_detach
shm_put_var
Semaphore Functions
PHP Manual